puts
Prev | Orchestra Opcodes and Operators | Next

## puts

puts — Print a string constant or variable

## Description

puts prints a string with an optional newline at the end whenever the trigger signal is positive and changes.

## Syntax

    puts Sstr, ktrig[, inonl]

## Initialization

Sstr -- string to be printed

inonl (optional, defaults to 0) -- if non-zero, disables the default printing of a newline character at the end of the string

## Performance

ktrig -- trigger signal, should be valid at i-time. The string is printed at initialization time if ktrig is positive, and at performance time whenever ktrig is both positive and different from the previous value. Use a constant value of 1 to print once at note initialization.

## Credits

Author: Istvan Varga
2005

Prev | Up | Next
push_f | Home | pvadd